Subject: [bug#72928] [PATCH] time-machine: Print profile path if no command is given.

From: Ludovic Courtès <[email-masked]>
Date: Sun, 15 Sep 2024 23:29:19 +0200

Hi,

Tomas Volf <[email-masked]> skribis:

>>> +         (if command-line
>>> +             (apply execl (cons* executable executable command-line))
>>> +             (format #t "~a\n" directory)))))))
>>
>> Maybe print ‘executable’ rather than ‘directory’?
>
> Printing directory gives nice symmetry between
>
> $ $(guix build guix)/bin/guix describe
>   guix 9a2ddcc
>     repository URL: https://git.savannah.gnu.org/git/guix.git
>     branch: master
>     commit: 9a2ddcc8f5a6f64b475eeb13a3f1034aa6a4a49a
>
>
> and
>
> $ $(guix time-machine -q --commit=9a2ddcc8f5a6f64b475eeb13a3f1034aa6a4a49a)/bin/guix describe
>   guix 9a2ddcc
>     repository URL: https://git.savannah.gnu.org/git/guix.git
>     commit: 9a2ddcc8f5a6f64b475eeb13a3f1034aa6a4a49a
>
> And in some cases you need the store item (guix copy?), and in my
> opinion it is easier to go from directory to binary than other way
> around.

Ah yes, good points, I agree.  Let’s do that.

> Ah, yeah, definitely.  Once previous point is clarified, I will send v2.

Green light as far as I’m concerned!

Thanks,
Ludo’.